#ifndef EXPORTWIDGET_H
#define EXPORTWIDGET_H

#include <QWidget>

namespace Ui {
class ExportWidget;
}

class LegacyApp;

class ExportWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ExportWidget(LegacyApp *_app, QWidget *parent = 0);
    ~ExportWidget();

private slots:

    void on_singlefile_radio_common_clicked();

    void on_filesbytype_radio_common_clicked();

    void on_change_folder_button_clicked();

    void on_extract_button_common_clicked();

private:
    LegacyApp *app;
    Ui::ExportWidget *ui;

};

#endif // EXPORTWIDGET_H
